uniform mat4x3 modelview43;
uniform vec4 ks;  // k,scale*scr_nx,alpha,inv_scr_nx
in  vec3 pos;
in  vec4 tex;
out vec3 _pos;

void main()
{
  _pos         = mix(pos.xyz,tex.xyz,ks.x);
 if (tex.w>=0.)
 {
  gl_Position.xyz   = modelview43*vec4(_pos,1.);
  gl_Position.w = tex.w;
 }
 else
 {
  gl_Position.xyz = mat3(modelview43)*_pos;
  gl_Position.w   = -tex.w;
 }
}
